__gnu_profile::__reentrance_guard Struct Reference

`#include <profiler.h>`

## Static Public Member Functions

static bool | __get_in ()
static bool & | __inside ()

## Detailed Description

Reentrance guard.

Mechanism to protect all __gnu_profile operations against recursion, multithreaded and exception reentrance.

Definition at line 58 of file profiler.h.

## Constructor & Destructor Documentation

## __reentrance_guard()

__gnu_profile::__reentrance_guard::__reentrance_guard | ( |  | ) |

inline

Definition at line 79 of file profiler.h.

## ~__reentrance_guard()

__gnu_profile::__reentrance_guard::~__reentrance_guard | ( |  | ) |

inline

Definition at line 80 of file profiler.h.

## Member Function Documentation

## __get_in()

static bool __gnu_profile::__reentrance_guard::__get_in | ( |  | ) |

inline static

Definition at line 61 of file profiler.h.

## __inside()

static bool & __gnu_profile::__reentrance_guard::__inside | ( |  | ) |

inline static

Definition at line 73 of file profiler.h.

The documentation for this struct was generated from the following file:

- profiler.h